# 常见错误码

## 请求错误

<table><thead><tr><th width="243">code</th><th>message</th><th>remark</th></tr></thead><tbody><tr><td>S0001</td><td>api request error</td><td>该错误没有既定错误码时，返回该值</td></tr><tr><td>L0001</td><td>limited request</td><td>商户状态、密钥不对等</td></tr><tr><td>L0002</td><td>api url error</td><td>地址错误，或get post方式不对</td></tr><tr><td>L0003</td><td>requestTime outside range</td><td>请求时间（requestTime）与当前实际时间差距超过一定时间，如10分钟</td></tr><tr><td>L0004</td><td>duplicate request</td><td>重复的请求，一定时间内，requestId不能重复，如30分钟</td></tr><tr><td>L0005</td><td>check sign info error</td><td>签名错误</td></tr><tr><td></td><td></td><td></td></tr><tr><td></td><td></td><td></td></tr><tr><td></td><td></td><td></td></tr></tbody></table>

## 业务异常

| error code | error message                                                                                                                                       | remark                                                                                  |
| ---------- | --------------------------------------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------- |
| 0000       | success                                                                                                                                             | 接口请求成功                                                                                  |
| P0001      | request param error                                                                                                                                 | 请求参数错误                                                                                  |
| P0002      | param is null or incorrect                                                                                                                          | 参数为空或不正确                                                                                |
| P0003      | param format error                                                                                                                                  | 参数格式不正确                                                                                 |
| P0004      | timestamp format error                                                                                                                              | 时间格式不正确                                                                                 |
| P0005      | body info is not Json                                                                                                                               | body只支持json对象格式                                                                         |
| P0021      | outside time range                                                                                                                                  | 时间超出范围                                                                                  |
| P0024      | the data can be query within 180 days                                                                                                               | 默认只能查询180天内的数据                                                                          |
| P0025      | The current page number cannot be less than 1                                                                                                       | 当前页不能小于1                                                                                |
| P0026      | The maximum number of items on a page is 1000                                                                                                       | 每页条数最大1000条                                                                             |
| P0041      | website contains more than ten url                                                                                                                  | 来源网址不能超过10个                                                                             |
| B0001      | api handle error                                                                                                                                    | 业务处理错误                                                                                  |
| I0004      | Gateway of Merchant No.is incorrect                                                                                                                 | 网关号不正确，请检查网关号是否正确，是否为当前请求环境对应的网关号                                                       |
| I0005      | Merchant No.is not actived                                                                                                                          | 网关号对应的商户未激活，请联系客服配合解决                                                                   |
| I0006      | Merchant No. is disabled                                                                                                                            | 网关号对应的商户不可用，请联系客服配合解决                                                                   |
| I0007      | Merchant No.is canceled                                                                                                                             | 网关号对应的商户被取消，请联系客服配合解决                                                                   |
| I0008      | The state of merchant No. is anomalous                                                                                                              | 网关号对应的商户异常，请联系客服配合解决                                                                    |
| I0009      | Gateway No.is not actived                                                                                                                           | 网关号未激活，请联系客服配合解决                                                                        |
| I0010      | Gateway No.is disabled                                                                                                                              | 网关号不可用，请联系客服配合解决                                                                        |
| I0011      | Gateway No.is canceled                                                                                                                              | 网关号被取消，请联系客服配合解决                                                                        |
| I0012      | The state of gateway No.is anomalous                                                                                                                | 网关号异常，请联系客服配合解决                                                                         |
| I0013      | Invalid Encryption value( signInfo )                                                                                                                | 签名错误，请[检查签名](https://asiabill.gitbook.io/api-explorer/fu-lu/shu-ju-qian-ming-guo-cheng) |
| I0014      | Testing Gateway No. posting transaction to a Production URL                                                                                         | 测试状态的网关号发到正式交易地址，请检查交易请求地址                                                              |
| I0015      | Production Gateway No. posting transaction to a Testing URL                                                                                         | 正式状态的网关号发到测试交易地址，请检查交易请求地址                                                              |
| I0016      | The gateway No. does not blind the interface                                                                                                        | 网关号未绑定请求的接口地址                                                                           |
| I0017      | Merchant order No. is empty                                                                                                                         | 商户订单号为空，请检查字段：orderNo                                                                   |
| I0018      | Order No. can not exceed 50 characters                                                                                                              | 商户订单号不能超过50个字符                                                                          |
| I0019      | Order value can not be empty                                                                                                                        | 订单金额不能为空，请检查字段：orderAmount                                                              |
| I0020      | Order value is incorrect                                                                                                                            | 订单金额格式不正确                                                                               |
| I0021      | The decimal place of order value should be between 0-2 digit                                                                                        | 订单金额的小数位只能保留两位                                                                          |
| I0022      | Order currency is empty                                                                                                                             | 订单币种不能为空，请检查字段：orderCurrency                                                            |
| I0023      | Order currency is incorrect                                                                                                                         | 订单币种格式不正确                                                                               |
| I0024      | Return URL can not be empty                                                                                                                         | 支付跳转URL不能为空，检查字段：returnUrl                                                              |
| I0025      | The length of returnning URL can not exceed 1000 characters                                                                                         | 支付跳转URL不能支付跳转URL不能超过1000个字符                                                             |
| I0026      | Card No can not be empty                                                                                                                            | 支付卡号不能为空，请检查字段：cardNo                                                                   |
| I0027      | Please input between 13-19 digit                                                                                                                    | 支付卡号长度为13到19位                                                                           |
| I0028      | Please input number                                                                                                                                 | 支付卡号只能输入数字类型                                                                            |
| I0029      | Card No.should begin with 4Unsupported card type, Please try another card                                                                           | 不支持的卡类型                                                                                 |
| I0030      | Card No. is incorrect                                                                                                                               | 卡号不正确                                                                                   |
| I0031      | Month can not be empty                                                                                                                              | 卡有效期月不能为空                                                                               |
| I0032      | Please input double digit only                                                                                                                      | 卡有效期月只能输入两位数字                                                                           |
| I0033      | Please input numbers only                                                                                                                           | 卡有效期月只能输入两位数字                                                                           |
| I0034      | The month should be between 1-12                                                                                                                    | 卡有效期月只能01-12                                                                            |
| I0035      | Year can not be empty                                                                                                                               | 卡有效期年不能为空                                                                               |
| I0036      | Please input 4-digit only                                                                                                                           | 卡有效期年只能输入四位数字                                                                           |
| I0037      | Please input numbers only                                                                                                                           | 卡有效期年只能输入四位数字                                                                           |
| I0038      | Year and month can not be smaller than current date and greater than 10 year                                                                        | 有效期不能小于当前日期                                                                             |
| I0039      | Verification code can not be empty                                                                                                                  | 卡CVV不能为空                                                                                |
| I0040      | Please input 3-digit or 4-digit Verification code                                                                                                   | 卡CVV长度为3或者4位                                                                            |
| I0041      | Please input numbers only                                                                                                                           | 卡CVV只能输入数字                                                                              |
| I0042      | Issuing bank can not  be empty                                                                                                                      | 发卡行不能为空                                                                                 |
| I0043      | Please input between 2-50 characters only                                                                                                           | 发卡行长度为2到50个字符                                                                           |
| I0044      | First name can not be empty                                                                                                                         | 名不能为空                                                                                   |
| I0045      | First name:Please input between 2-100 characters only                                                                                               | 名长度为2到100个字符                                                                            |
| I0046      | Last name can not empty                                                                                                                             | 姓不能为空                                                                                   |
| I0047      | Last name:Please input between 2-50 characters only                                                                                                 | 姓长度为2到100个字符                                                                            |
| I0048      | E-mail address can not be empty                                                                                                                     | 电子邮箱不能为空                                                                                |
| I0049      | E-mail address:Please input between 2-200 characters only                                                                                           | 电子邮箱长度为2到200个字符                                                                         |
| I0050      | E-mail address format is incorrect                                                                                                                  | 电子邮箱格式不正确                                                                               |
| I0051      | The phone number of card holder can not be empty                                                                                                    | 持卡人电话不能为空                                                                               |
| I0052      | phone number:Please input between 2-50 characters only                                                                                              | 持卡人电话长度为2到50个字符                                                                         |
| I0053      | The country of cardholder can not be empty                                                                                                          | 持卡人国家不能为空                                                                               |
| I0054      | country:Please input between 2-100 characters only                                                                                                  | 持卡人国家长度为2到100个字符                                                                        |
| I0055      | The address of cardholder can not be empty                                                                                                          | 持卡人地址不能为空                                                                               |
| I0056      | address:Please input between 2-500 characters only                                                                                                  | 持卡人国家长度为2到200个字符                                                                        |
| I0057      | The zip code of cardholder can not be empty                                                                                                         | 邮编不能为空                                                                                  |
| I0058      | zip code:Please input between 0-100 characters only                                                                                                 | 邮编长度为0到100个字符                                                                           |
| I0059      | Property{0},can not be empty                                                                                                                        | 扩展参数入参不正确                                                                               |
| I0060      | Property{0},length is more than {1}                                                                                                                 | 扩展参数入参不正确                                                                               |
| I0061      | Duplicate Order                                                                                                                                     | 重复订的商户单号；此商户单号已存在成功或者待处理的交易。                                                            |
| I0062      | Host index exists                                                                                                                                   | 重复的流水号                                                                                  |
| I0063      | The state/province of cardholder can not be empty                                                                                                   | 持卡人州不能为空                                                                                |
| I0064      | state:Please input no more than 100 characters                                                                                                      | 持卡人州地址不能超过100个字符                                                                        |
| I0065      | The city of cardholder can not be empty                                                                                                             | 持卡人城市不能为空                                                                               |
| I0066      | city:Please input between 2-100 characters only                                                                                                     | 持卡人城市长度为2到200个字符                                                                        |
| I0067      | remark:Please input no more than 500 characters                                                                                                     | 备注字段长度不能超过500个字符                                                                        |
| I0068      | It did not pass 2-Party limitation                                                                                                                  | 网关没有PCI验证资质；请联系客服确认                                                                     |
| I0069      | Please select payment method                                                                                                                        | 请传入支付方式                                                                                 |
| I0070      | Please select payment type                                                                                                                          | 请传入支付类型                                                                                 |
| I0071      | Ip address can not be empty                                                                                                                         | 客户IP不能为空                                                                                |
| I0072      | Ip address format is incorrect                                                                                                                      | IP地址格式不正确                                                                               |
| I0073      | Duplicate Operation                                                                                                                                 | 重复请求                                                                                    |
| I0074      | Error when saving the unique identifier of cardholder                                                                                               | 循环扣款-保存持卡唯一标志出错                                                                         |
| I0075      | Error when querying the unique identifier of cardholder                                                                                             | 循环扣款-查询持卡唯一标志出错                                                                         |
| I0076      | The unique identifier of cardholder in the database does not exist                                                                                  | 循环扣款-不存在持卡唯一标志                                                                          |
| I0077      | The Card No. and unique identifier of cardholder sent by merchant corresponding to the card no. do not match                                        | 循环扣款-传入卡号与数据库不一致                                                                        |
| I0078      | The CVV and unique identifier of cardholder sent by merchant corresponding to the CVV do not match                                                  | 循环扣款-传入cvv与数据库不一致                                                                       |
| I0079      | The expiry month and unique identifier of cardholder sent by merchant corresponding to the card expiry month do not match                           | 循环扣款-传入卡有效期月与数据库不一致                                                                     |
| I0080      | The expiry year and unique identifier of cardholder sent by merchant corresponding to the card expiry year do not match                             | 循环扣款-传入卡有效期年与数据库不一致                                                                     |
| I0081      | The last name and unique identifier of cardholder sent by merchant corresponding to the last name do not match                                      | 循环扣款-传入姓名与数据库不一致                                                                        |
| I0082      | The last name and unique identifier of cardholder sent by merchant corresponding to the last name do not match                                      | 循环扣款-传入姓名与数据库不一致                                                                        |
| I0083      | The billing address and unique identifier of cardholder sent by merchant corresponding to the billing address do not match                          | 循环扣款-传入账单地址与数据库不一致                                                                      |
| I0084      | The billing city and unique identifier of cardholder sent by merchant corresponding to the billing city do not match                                | 循环扣款-传入账单城市与数据库不一致                                                                      |
| I0085      | The billing state and unique identifier of cardholder sent by merchant corresponding to the billing state do not match                              | 循环扣款-传入账单州与数据库不一致                                                                       |
| I0086      | The billing country and unique identifier of cardholder sent by merchant corresponding to the billing country do not match                          | 循环扣款-传入账单国家与数据库不一致                                                                      |
| I0087      | The zip code and unique identifier of cardholder sent by merchant corresponding to the zip code do not match                                        | 循环扣款-传入账单邮编与数据库不一致                                                                      |
| I0088      | The issuing bank and unique identifier of cardholder sent by merchant corresponding to the issuing bank do not match                                | 循环扣款-传入发卡行与数据库不一致                                                                       |
| I0089      | The email and unique identifier of cardholder sent by merchant corresponding to the email do not match                                              | 循环扣款-传入电子邮箱与数据库不一致                                                                      |
| I0090      | The telephone and unique identifier of cardholder sent by merchant corresponding to the telephone do not match                                      | 循环扣款-传入电话与数据库不一致                                                                        |
| I0091      | qiwiUsername:Accout number must be 6-12 digit                                                                                                       | qiwiUsername-账户名长度为6-12位数字                                                              |
| I0092      | paymentMethod:payment method error                                                                                                                  | 支付方式名称不正确                                                                               |
| I0093      | ebanx name can not be empty                                                                                                                         | ebanxName-名称不能为空                                                                        |
| I0094      | ebanx name:input between 2-50 characters only                                                                                                       | ebanxName-名称长度为2-50位字符                                                                  |
| I0095      | ebanx email can not be empty                                                                                                                        | ebanxEmai-电子邮箱不能为空                                                                      |
| I0096      | ebanx email:input between 2-100 characters only                                                                                                     | ebanxEmai-电子邮箱长度为2-100位字符                                                               |
| I0097      | ebanx email format is incorrect                                                                                                                     | ebanxEmail-电子邮箱格式不正确                                                                    |
| I0098      | ebanx Type must input 'boleto' or '\_tef' or 'directboleto' or 'creditcard'                                                                         | ebanxType-必须输入指定的类型：'boleto' 、 '\_tef' 、 'directboleto' 、 'creditcard'                  |
| I0099      | bank code is error                                                                                                                                  | Bankcode不正确                                                                             |
| I0100      | Accountnumber can not be empty                                                                                                                      | Accountnumber不能为空                                                                       |
| I0101      | Accountnumber Digits only, no leading zeros, 4-12 digits                                                                                            | Accountnumber只支持数字类型                                                                    |
| I0102      | Bankcode can not be empty                                                                                                                           | Bankcode不能为空                                                                            |
| I0103      | Bankcode Digits only, 1-8 digits                                                                                                                    | Bankcode只支持数字类型                                                                         |
| I0104      | Countrycode can not be empty                                                                                                                        | Countrycode不能为空                                                                         |
| I0105      | qiwiCountryCode can not be empty                                                                                                                    | qiwiCountryCode不能为空                                                                     |
| I0106      | ebanx cpf can not be empty                                                                                                                          | ebanxCpf不能为空                                                                            |
| I0107      | ebanx cpf:input between 1-50 characters only                                                                                                        | ebanxCpf只能输入1-50个字符                                                                     |
| I0108      | Gateway No. can not support vt pay                                                                                                                  | 当前网关号不支持VT支付                                                                            |
| I0109      | VT Pay URL has been Invalidation                                                                                                                    | VT支付链接失效                                                                                |
| I0110      | Gateway No. can not support the currency                                                                                                            | 当前网关号不支持此支付币种；请联系客服确认                                                                   |
| I0111      | Merchant No. format is incorrect                                                                                                                    | 商户号格式不正确                                                                                |
| I0112      | Gateway No. format is incorrect                                                                                                                     | 网关号格式不正确                                                                                |
| I0113      | UserId is empty or userId format is incorrect                                                                                                       | UserId为空或者格式不正确                                                                         |
| I0114      | ProductType is empty or productType format is incorrect                                                                                             | ProductType为空或者格式不正确                                                                    |
| I0115      | ProductName is empty or productName format is incorrect                                                                                             | ProductName为空或者格式不正确                                                                    |
| I0116      | Bank and cardType is not support                                                                                                                    | 不支持的银行或者卡类型                                                                             |
| I0117      | Expired Card                                                                                                                                        | 过期卡号                                                                                    |
| I0118      | Gateway No. does't support sdk                                                                                                                      | 网关不支持SDK交易；请联系客服确认                                                                      |
| I0119      | Invalid request                                                                                                                                     | 无效的请求                                                                                   |
| I0120      | OrderDetails is incorrect                                                                                                                           | OrderDetails不正确                                                                         |
| I0121      | The sum of the sub order amount must be equal to the amount of the principal order                                                                  | 子订单金额和总金额不一致                                                                            |
| I0122      | Goods:Please input no more than 100 characters                                                                                                      | Goods请求输入不超过100个字符                                                                      |
| I0123      | PayerName:Please input no more than 100 characters                                                                                                  | PayerName请求输入不超过100个字符                                                                  |
| I0124      | Merchant sub order No. is empty                                                                                                                     | subOrderNo不能为空                                                                          |
| I0125      | Merchant sub order No. can not exceed 50 characters                                                                                                 | subOrderNo不能超过50个字符                                                                     |
| I0126      | Sub order value can not be empty                                                                                                                    | subOrderNo不能为空                                                                          |
| I0127      | Sub order value is incorrect                                                                                                                        | subOrderAmount不正确                                                                       |
| I0128      | The decimal place of sub order value should be between 0-2 digit                                                                                    | subOrderAmount不能超过两位小数                                                                  |
| I0129      | Sub order currency is incorrect                                                                                                                     | subOrderCurrency不正确                                                                     |
| I0130      | PayerCertType:Please input no more than 10 characters                                                                                               | PayerCertType不能超过10个字符                                                                  |
| I0131      | PayerCertType is incorrect                                                                                                                          | PayerCertType不正确                                                                        |
| I0132      | PayerCertNo and payerCertType must input together                                                                                                   | PayerCertNo和PayerCertType必须一起输入                                                         |
| I0133      | PayerCertNo: input no more than 126 characters                                                                                                      | PayerCertNo不能超过126个字符                                                                   |
| I0134      | payerPhone:Please input no more than 50 characters                                                                                                  | payerPhone不能超过50个字符                                                                     |
| I0135      | Sub encrypted value can not be empty                                                                                                                | subSignInfo不能为空                                                                         |
| I0136      | Invalid sub encryption value( subSignInfo )                                                                                                         | subSignInfo不正确                                                                          |
| I0137      | The length of callback URL can not exceed 1000 characters                                                                                           | callBackUrl不能超过1000个字符                                                                  |
| I0138      | Duplicate sub order no                                                                                                                              | subOrderNo支付                                                                            |
| I0139      | OrderDetails's size can't not big than 100                                                                                                          | OrderDetails不能超过100条数据                                                                  |
| I0140      | Day can not be empty                                                                                                                                | 持卡人生日Day不能为空                                                                            |
| I0141      | The day should be between 1-31                                                                                                                      | 持卡人生日Day只能输入1-31                                                                        |
| I0142      | The bankcode is invalid                                                                                                                             | bankcode无效                                                                              |
| I0143      | Credentials type can not be empty                                                                                                                   | Credentials.type不能为空                                                                    |
| I0144      | Credentials No. can not be empty                                                                                                                    | Credentials.no不能为空                                                                      |
| I0145      | AccountNo can not be empty                                                                                                                          | AccountNo不能为空                                                                           |
| I0146      | AccountType can not be empty                                                                                                                        | AccountTyp不能为空                                                                          |
| I0147      | UnionBankCode can not be empty                                                                                                                      | UnionBankCode不能为空                                                                       |
| I0148      | CustomerID can not be empty                                                                                                                         | CustomerID不能为空                                                                          |
| I0149      | Duplicate Order.This order is processing.                                                                                                           | 重复请求订单号，该订单正在处理中                                                                        |
| I0150      | Input instalments for creditcard payment is incorrect                                                                                               | instalments不正确                                                                          |
| I0151      | Input cardHolderName is incorrect                                                                                                                   | cardHolderName不正确                                                                       |
| I0152      | Country:Please input 2-letter country codes                                                                                                         | 国家代码只能输入两位字符                                                                            |
| I0153      | document is incorrect                                                                                                                               | document不正确                                                                             |
| I0154      | The order amount must be a whole number in this currency.                                                                                           | 该交易币种对应的订单金额只能为整数                                                                       |
| I0155      | ExpireTime. format is incorrect                                                                                                                     | ExpireTime格式不正确                                                                         |
| I0156      | Token Expired.                                                                                                                                      | sessionToken过期，请重新获取sessionToken；如果是站内支付，请检查获取sessionToken域名与前端加载js的域名是否一致              |
| I0157      | Token format is incorrect.                                                                                                                          | sessionToken格式不正确                                                                       |
| I0158      | Token is incorrect.                                                                                                                                 | sessionToken不正确                                                                         |
| I0159      | Token is Empty.                                                                                                                                     | sessionToken不能为空                                                                        |
| I0160      | ThreeDsParam is incorrect.                                                                                                                          | ThreeDsParam不正确                                                                         |
| I0161      | ThreeDsParam. format is incorrect                                                                                                                   | ThreeDsParam格式不正确                                                                       |
| I0162      | Shipping Address can not be empty                                                                                                                   | Shipping.Address不能为空                                                                    |
| I0163      | Goods Detail can not be empty                                                                                                                       | GoodsDetails不能为空                                                                        |
| I0164      | The ship country can not be empty                                                                                                                   | Shipping.Country不能为空                                                                    |
| I1001      | No such customer {0}.                                                                                                                               | 传入的customerId不存在                                                                        |
| I1002      | No such paymentMethod {0} .                                                                                                                         | 传入的customerPaymentMethodId不存在                                                           |
| I1003      | PaymentMethod is Empty.                                                                                                                             | PaymentMethod对象不能为空                                                                     |
| I1004      | The PaymentMethod {0} does not belong to the Customer you supplied {1}. Please use this PaymentMethod with the Customer that it belongs to instead. | customerId和customerPaymentMethodId不属于同一个网关号                                             |
| I1005      | Failed to create Payment method.                                                                                                                    | 创建支付方式失败                                                                                |
| I1006      | The customer's PaymentMethod exceeds the maximum limit.                                                                                             | 此客户创建了超过限制次数的支付方式                                                                       |
| I1007      | Parameter is Empty.                                                                                                                                 | Parameter不能为空                                                                           |
| I1008      | The PaymentMethod {0} already belong to another Customer.                                                                                           | 此支付方式已经绑定在别的客户下                                                                         |
| I2006      | The billing address of cardholder can not be empty.                                                                                                 | billing.address不能为空                                                                     |
| I2007      | The BillingDetail can not be empty.                                                                                                                 | BillingDetail不能为空                                                                       |
| I2008      | CustomerPaymentMethodId is Empty.                                                                                                                   | CustomerPaymentMethodId不能为空                                                             |
| I2009      | Only one payment method can be selected.                                                                                                            | 只能选择一种支付方式                                                                              |
| I2010      | Shopify transactions are declined due to gateway settings. Please contact customer service of the website.                                          | 此网关不支持shopify交易；请联系客服确认                                                                 |
| I2011      | The gateway No without PCI. Can't collect cardNo yourself                                                                                           | 此网关没有配置PCI资质，不能收集卡号；请联系客服确认                                                             |
| C0001      | Merchant does not support this card type, Please try another card                                                                                   | 此网关号未绑定银行通道；请联系客服确认                                                                     |
| C0002      | Merchant gateway No. do not set up deduction rate                                                                                                   | 此网关号未绑定扣率；请联系客服确认                                                                       |
| C0003      | Channel deduction rate of merchant gateway No. is incorrect                                                                                         | 此网关号绑定扣率不正确；请联系客服确认                                                                     |
| C0004      | Channel deduction rate of merchant gateway No. is incorrect                                                                                         | 通道扣率不正确；请联系客服确认                                                                         |
| C0005      | The exchange rate of currency does not set up                                                                                                       | 暂不支持此交易币种；请联系客服确认                                                                       |
| C0006      | Obtaining currency failed                                                                                                                           | 获取银行币种错误                                                                                |
| C0007      | Merchant does not bind payment domain name                                                                                                          | 商户未绑定来源网址；请联系客服确认                                                                       |
| C0008      | Merchant gateway No. do not bind channel {0}                                                                                                        | 此网关号未绑定银行通道；请联系客服确认                                                                     |
| C0009      | Merchant gateway No.do not set up deduction rate                                                                                                    | 此网关号未绑定扣率；请联系客服确认                                                                       |
| C0010      | Have no exchange rate set                                                                                                                           | 未找到交易币种转银行币种的汇率；请联系客服确认                                                                 |
| C0011      | Transaction amount cannot be less than {0}                                                                                                          | 交易金额太小                                                                                  |
| C0012      | Have no exchange rate set                                                                                                                           | 未找到交易币种转银行币种的汇率；请联系客服确认                                                                 |
| C0013      | Channel Error, Please Call To Bank To Fix The Problem!                                                                                              | 通道错误；请联系客服确认                                                                            |
| C0014      | The paymethod don't support the country                                                                                                             | 此支付方式不支持传入的账单国家                                                                         |
| C0015      | The channel do not support authorization                                                                                                            | 通道不支持预授权交易                                                                              |
| C0016      | Channel does not support the Currency                                                                                                               | 通道不支持该交易币种                                                                              |
| C0017      | Bill address is incorrect                                                                                                                           | 账单地址不正确                                                                                 |
| C0018      | System error                                                                                                                                        | 系统异常；请联系技术支持                                                                            |
| C0019      | Descriptor Not configured                                                                                                                           | 通道未配置动态账单地址；请联系客服确认                                                                     |
| C0020      | Rejected by MID setting                                                                                                                             | 银行已停止该MID进行交易                                                                           |
| C0021      | 3D Authentication Failed                                                                                                                            | 3D验证失败-未找到3D验证通道                                                                        |
| C0022      | 3D Authentication Failed                                                                                                                            | 3D验证失败-未找到子通道                                                                           |
| C0023      | 3D Authentication Failed                                                                                                                            | 3D验证失败-非法的3D请求                                                                          |
| C0024      | 3D Authentication Failed                                                                                                                            | 3D验证失败-未获取到jwtOrToken                                                                   |
| C0025      | Channel Not configured                                                                                                                              | 3D验证失败-未找到子通道                                                                           |
| C0026      | Issuing bank does not support 3D, can not transaction  by 3D channel                                                                                | 银行通道不支持3D交易                                                                             |
| C0027      | 3D Authentication Failed                                                                                                                            | 3D验证失败-银行端验证3D失败                                                                        |
| C0028      | GooglePaySetting is Incorrect                                                                                                                       | 未配置Google密钥参数                                                                           |
| C0029      | Unable to parse googlePay token                                                                                                                     | 无法解析Google支付返回的token                                                                    |
| C0030      | If tokenType is {0}, then token can not empty                                                                                                       | 进行token支付时，cardtoken不能为空                                                                |
| C0031      | Unsupport tokenType： {0}                                                                                                                            | 不支持的token支付类型                                                                           |
| C0032      | If tokenType is {0}, then customerID can not empty                                                                                                  | tokenType等InitRecurring或者Recurring时，CustomerID不能为空                                      |
| C0033      | tokenType can not empty                                                                                                                             | tokenType不能为空                                                                           |
| C0034      | Token({0}) Expired.                                                                                                                                 | Token已过期                                                                                |
| C0035      | Illegal Token. gatewayMerchantId is incorrect                                                                                                       | 非法的Google支付token值，请检查网关ID是否正确                                                           |
| C0036      | The gateway Unsupport tokenType： {0} ,No recurring set                                                                                              | 该网关不支持循环扣款类型；请联系客服确认                                                                    |
| C0037      | Transaction does not support recurring.                                                                                                             | InitRecurring交易没有成功，不能进行Recurring的交易请求                                                  |
| C0038      | The card has init recurring.                                                                                                                        | 该customerID已经存在成功的InitRecurring交易，不能再发送InitRecurring类型的交易                               |
| C0039      | At least one of input parameters is missing                                                                                                         | 由于没有传入某个非必填参数，导致被银拒绝了，请尽量传入其他非必填参数字段                                                    |
| E0000      | System exception                                                                                                                                    | 系统错误                                                                                    |
| E0001      | The operation has timed out                                                                                                                         | 交易超时                                                                                    |
| E0002      | The operation has timed out                                                                                                                         | 交易超时                                                                                    |
| E0003      | Sending failed                                                                                                                                      | 发送银行异常                                                                                  |
| E0004      | Invoking failed                                                                                                                                     | 调用银行接口异常                                                                                |
| E0005      | The channle code that the bank returned does not exist                                                                                              | 银行返回通道代码不存在                                                                             |
| E0006      | Receiving failed                                                                                                                                    | 接收银行参数异常                                                                                |
| E0007      | System Error                                                                                                                                        | 系统错误                                                                                    |
| E0008      | Customer Cancel                                                                                                                                     | 客户取消交易                                                                                  |
| E0009      | Processing Timeout                                                                                                                                  | 读取银行返回数据超时                                                                              |
| E0010      | Connection Timeout                                                                                                                                  | 连接银行超时                                                                                  |
| E0011      | Parse error                                                                                                                                         | 解析银行参数超时                                                                                |
| E0012      | Order is not exist                                                                                                                                  | 订单不存在                                                                                   |
| E0013      | Verify code is error                                                                                                                                | CVV校验错误                                                                                 |
| E0014      | Repeat pay                                                                                                                                          | 重复支付                                                                                    |
| E0015      | Unsupported request type                                                                                                                            | 不支持的请求类型；例如接口只支持post，但是发起了get请求                                                         |
| E0016      | Illegal request, The gateway does not have PCI, please use JS\_SDK                                                                                  | 非法请求，请通道JSSDK进行请求                                                                       |
| E0017      | Unsupported Content type                                                                                                                            | 不支持的content-type类型，请检查请求头content-type                                                   |
| T0001      | Transaction succeeded, we do not charge any fees for testing transation                                                                             | 测试交易成功返回信息                                                                              |
| A0001      | The authorized type cannot be empty.                                                                                                                | 授授权类型不能为空，请检查字段：authType                                                                |
| A0002      | The authorized type is incorrect 1:authorization ; 2:cancel authorization                                                                           | authType类型不正确，字段只支持：1（完成），2（取消）                                                         |
| A0003      | The returning URL cannot be empty.                                                                                                                  | returnUrl不能为空，请检查字段：returnUrl                                                           |
| A0004      | The returning URL cannot exceed 100 characters.                                                                                                     | returnUrl不能超过100个字符                                                                     |
| A0005      | Host index cannot be empty.                                                                                                                         | 交易流水号不能为空，请检查字段：tradeNo                                                                 |
| A0006      | Host index is incorrect.                                                                                                                            | 交易流水号不正确，请检查字段：tradeNo                                                                  |
| A0007      | The order is not the  pre-authorized transaction.                                                                                                   | 该交易不是预授权交易，不能发起授权请求                                                                     |
| A0008      | The order cannot  trigger  authorization,                                                                                                           | 该预授权交易已失败，不能发起授权操作                                                                      |
| A0009      | A settlement authorization has timed out.                                                                                                           | 该预授权交易已经超过授权有效期                                                                         |
| A0010      | The Remark cannot exceed 100 characters.                                                                                                            | 备注字段不能超过100个字符                                                                          |
| A0011      | CardNo cannot be empty.                                                                                                                             | 卡号卡号不能为空                                                                                |
| A0012只有    | Only that day trading can be Cancel.                                                                                                                | 只有当天的交易才能撤销                                                                             |
| A0013      | Fail to save the Auth info                                                                                                                          | 保存预授权请求信息失败                                                                             |
| A996       | Authentication void succeeded                                                                                                                       | 预授权撤销成功                                                                                 |
| A997       | Channel Not configured                                                                                                                              | 通过未配置                                                                                   |
| A998       | Issuing bank does not support 3D, can not transaction  by 3D channel                                                                                | 银行通道不支持3D交易                                                                             |
| RE009      | Refunded amount over original amount                                                                                                                | 退款金额超过交易金额                                                                              |
| RE013      | Failed transaction,can not apply for refund                                                                                                         | 失败订单不能退款                                                                                |
| RE014      | Transaction suspended,can not apply for refund                                                                                                      | 冻结订单不能退款                                                                                |
| RE017      | Rolling reserve is being settled,can not apply for refund                                                                                           | 正在结算订单不能退款                                                                              |
| RE020      | Partial refund is not supported                                                                                                                     | 该通道不支持退款                                                                                |
| RE024      | Pending for transaction reconciliation                                                                                                              | 未勾兑的订单不能退款                                                                              |
| RE025      | Refunded amount over refundable amount                                                                                                              | 退款金额超过可退金额                                                                              |
| RE027      | Over 180 days,can not be refunded                                                                                                                   | 超过180天交易不能退款                                                                            |
| RE029      | create user is empty                                                                                                                                | 添加人不能为空                                                                                 |
| RE030      | No record of this transaction was found. Please check that the parameters {} are correct                                                            | 记录不存在，请检查参数是否正确                                                                         |
| RE031      | merNo has't this record {}                                                                                                                          | 商户号不存在                                                                                  |
| RE033      | lcCode is not exist {}                                                                                                                              | 物流运输商code不存在                                                                            |
| RE034      | when the parameter 'tradeNo' is empty, the 'gatewayNo' and 'orderNo' are required                                                                   | 当流水订单号为空时，网关号和商户订单号为必填                                                                  |
| RE035      | Refunds are being processed. Do not repeat refunds                                                                                                  | 该笔交易正在处理退款，请勿重复操作                                                                       |
| RE098      | No transaction record on file                                                                                                                       | 不存在该笔交易                                                                                 |
